This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 143873 - PAM modules need to have internationalization support
PAM modules need to have internationalization support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature, i18n
Depends On:
Blocks: 15273
  Show dependency treegraph
 
Reported: 2004-12-30 10:31 EST by Christian Rose
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 10:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2004-12-30 10:31:46 EST
It seems many very user-visible applications need to (directly or
indirectly) display output that come from PAM modules, such as the
login and "Password: " prompts, as far as I understand it.

This poses a big problem for internationalization, as this means that
untranslated English strings are being very prominently injected into
otherwise perfectly localized user interfaces.

As a consequence, it must be made possible to translate the strings
that PAM modules produce.
Comment 1 Tomas Mraz 2005-08-23 10:02:29 EDT
l10n will be supported by the next upstream PAM release.

Note You need to log in before you can comment on or make changes to this bug.